#! @PERL@ -w
#
# Id : $Id: authello.in 12258 2007-01-16 11:11:44Z hvddool $
# URL: $URL: https://infix.uvt.nl/its-id/trunk/sources/authello/templates/src/authello.in $

# Copyright (C) 2005, 2006 Tilburg University http://www.uvt.nl/
#
# This file is part of authello.  Authello is free software; you can redistribute
# it and/or modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.  You should have received a copy of
# the GNU General Public License along with this file (see COPYING).

use strict;

our $package;
our $prefix;
our $exec_prefix;
our $bindir;
our $localstatedir;
our $sharedstatedir;
our $sysconfdir;
our $datadir;
our $libexecdir;
our $testlibdir;

our $LOCALSTATEDIR;
our $SYSCONFDIR;
our $BINDIR;
our $DATADIR;
our $VERSION;

BEGIN
{
  $package        = "@PACKAGE@";
  $prefix         = "@prefix@";
  $exec_prefix    = "@exec_prefix@";
  $bindir         = "@bindir@";
  $localstatedir  = "@localstatedir@";
  $sharedstatedir = "@sharedstatedir@";
  $sysconfdir     = "@sysconfdir@";
  $datadir        = "@datadir@";
  $libexecdir     = "@libexecdir@";
  $LOCALSTATEDIR  = "@LOCALSTATEDIR@";
  $SYSCONFDIR     = "@SYSCONFDIR@";
  $BINDIR         = "@BINDIR@";
  $DATADIR        = "@DATADIR@";
  $VERSION        = "@VERSION@";

  $testlibdir     =  '@TESTLIBDIR@';
  if ( $testlibdir ne '@TEST'.'LIBDIR@')
  {
    warn "using TESTLIBDIR: $testlibdir \n";
    unshift(@INC, $testlibdir);
  }

  unshift(@INC, $bindir);
}

use Baseobject;

print "package        = $package\n";
print "prefix         = $prefix\n";
print "exec_prefix    = $exec_prefix\n";
print "bindir         = $bindir\n";
print "localstatedir  = $localstatedir\n";
print "sharedstatedir = $sharedstatedir\n";
print "sysconfdir     = $sysconfdir\n";
print "datadir        = $datadir\n";
print "libexecdir     = $libexecdir\n";
print "testlibdir     = $testlibdir\n";

print "DATADIR        = $DATADIR\n";
print "LOCALSTATEDIR  = $LOCALSTATEDIR\n";
print "SYSCONFDIR     = $SYSCONFDIR\n";
print "BINDIR         = $BINDIR\n";
print "VERSION        = $VERSION\n";

my $config="$SYSCONFDIR/$package.cf";

print `ls -lart $config`;

print "This is $package, version $VERSION\n";
print "eh  yes eh...  howdy world!\n";

=head1 NAME

authello

=head1 SYNOPSIS

A friendly authello world program, that spills its guts about some installation variables.

=head1 AUTHOR

Anton Sluijtman, E<lt>anton/a/uvt/dot/nlE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2004 by anton sluijtman

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.4 or,
at print option, any later version of Perl 5 you may have available.

=cut
# Local Variables:
# mode:perl
# mode:font-lock
# End:
